//Settings
//CHOOSE APPS PATH

#include "settings.h"

//file selected
void ok_click( GtkWidget *w, GtkFileSelection *fs )
{
    gtk_entry_set_text(GTK_ENTRY(*app2set), gtk_file_selection_get_filename (GTK_FILE_SELECTION (fs)));

    gtk_widget_destroy(GTK_WIDGET(fs));
}

//file selection gui
void app_select()
{

    GtkWidget *filew;

    filew = gtk_file_selection_new ("Select the right path");
    gtk_file_selection_set_filename (GTK_FILE_SELECTION(filew),"");

    g_signal_connect (G_OBJECT (GTK_FILE_SELECTION (filew)->ok_button),
                      "clicked", G_CALLBACK (ok_click), (gpointer) filew);

    g_signal_connect_swapped (G_OBJECT (GTK_FILE_SELECTION (filew)->cancel_button),
                              "clicked", G_CALLBACK (gtk_widget_destroy),
                              G_OBJECT (filew));

    gtk_widget_show (filew);

}

//browser popup gui
void browser_select() {
	app2set=&browser_text;
	app_select();

}

//email client popup gui
void email_select() {

    app2set=&email_text;
	app_select();

}

//multimedia player popup gui
void player_select() {

	app2set=&player_text;
	app_select();

}

//icons path popup gui
void imagepath_select() {

	app2set=&imagepath_text;
	app_select();
	
}
// SETTINGS GUI

//delete setting window and reload real values.
 void set_tray_delete() {

	systray_get_info(FALSE,FALSE);

}


 void high_use_yes() {

	highlight=TRUE;

}

 void high_use_not() {

	highlight=FALSE;

}

 void query_use_yes() {

	query=TRUE;

}

 void query_use_not() {

	query=FALSE;

}

 void kill_use_yes() {

	killevent=TRUE;
}

 void kill_use_not() {

	killevent=FALSE;
}

 void disc_use_yes() {

	disconnection=TRUE;
}

 void disc_use_not() {

	disconnection=FALSE;
}

 void dcc_chat_use_yes() {

	dcc_chat=TRUE;
}

 void dcc_chat_use_not() {

	dcc_chat=FALSE;
}

 void kick_use_yes() {

	kick=TRUE;
}

 void kick_use_not() {

	kick=FALSE;
}

 void dcc_send_use_yes() {

	dcc_send=TRUE;
}

 void dcc_send_use_not() {

	dcc_send=FALSE;
}

 void invite_use_yes() {

	invite=TRUE;
}

 void invite_use_not() {

	invite=FALSE;
}

 void notify_use_yes() {

	notify_list=TRUE;
}

 void notify_use_not() {

	notify_list=FALSE;
}

 void set_noti_events_apply() {

	flash_interval=gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(spinbutton));
	write2file(FALSE);
	systray_get_info(FALSE,FALSE);

}

#ifndef _WIN32_
 void kde_use_yes() {
	KDE=TRUE;
}

 void kde_use_not() {
	KDE=FALSE;
}
#endif

//events notification selection
 void set_noti_events(){

	GtkWidget *window;
	GtkWidget *checkbut,*checkbut1;
	GtkWidget *table;
	GtkWidget *button,*box1,*box2,*box3,*box4,*box5,*box6,*box7,*box8,*box9,*box10,*box11;
	GtkWidget *label;
	GSList *group;
	GtkAdjustment *adj;

	systray_get_info(FALSE,FALSE);

	//create box and window
	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_resizable(GTK_WINDOW (window),FALSE);
	gtk_window_set_title (GTK_WINDOW (window), "Notification Events Selection");
	gtk_container_set_border_width (GTK_CONTAINER (window), 10);

	table=gtk_table_new(14,3,FALSE);
	gtk_table_set_col_spacings(GTK_TABLE(table), 40 );
	gtk_table_set_row_spacings(GTK_TABLE(table), 12 );
	gtk_container_add (GTK_CONTAINER (window), table);

	box1 = gtk_hbox_new (FALSE, 40);
	box2 = gtk_hbox_new (FALSE, 40);
	box3 = gtk_hbox_new (FALSE, 40);
	box4 = gtk_hbox_new (FALSE, 40);
	box5 = gtk_hbox_new (FALSE, 40);
	box6 = gtk_hbox_new (FALSE, 40);
	box7 = gtk_hbox_new (FALSE, 40);
	box8 = gtk_hbox_new (FALSE, 40);
	box9 = gtk_hbox_new (FALSE, 40);
	box10 = gtk_hbox_new (FALSE, 40);
	box11 = gtk_hbox_new (FALSE, 40);

	label = gtk_label_new ("Notification Events Selection. Select your favorite events.");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,2,0,1);
  	gtk_widget_show (label);

	//Hilighted Msg
	gtk_table_attach_defaults(GTK_TABLE(table),box1,1,2,2,3);

	label = gtk_label_new ("HighLighted Message");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,2,3);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (high_use_yes),G_OBJECT (checkbut));
	gtk_box_pack_start (GTK_BOX (box1), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if(highlight) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (high_use_not),G_OBJECT (checkbut1));
  	gtk_box_pack_start (GTK_BOX (box1), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show (box1);
	if(!highlight) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);

	//Query
	gtk_table_attach_defaults(GTK_TABLE(table),box2,1,3,3,4);

	label = gtk_label_new ("Query (private message)");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,3,4);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (query_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box2), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if (query) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (query_use_not),G_OBJECT (checkbut1));
	gtk_box_pack_start (GTK_BOX (box2), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show(box2);
	if(!query) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);

	// Disconnection from servers
	gtk_table_attach_defaults(GTK_TABLE(table),box3,1,3,4,5);

	label = gtk_label_new ("Disconnection");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,4,5);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
   	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (disc_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box3), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if(disconnection) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (disc_use_not),G_OBJECT (checkbut1));
  	gtk_box_pack_start (GTK_BOX (box3), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show(box3);
	if(!disconnection) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);

	//killed
	gtk_table_attach_defaults(GTK_TABLE(table),box4,1,3,5,6);

	label = gtk_label_new ("Kill");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,5,6);
    	gtk_widget_show (label);

	checkbut= gtk_radio_button_new_with_label (NULL, "yes");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (kill_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box4), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if (killevent==TRUE) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (kill_use_not),G_OBJECT (checkbut1));
  	gtk_box_pack_start (GTK_BOX (box4), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show(box4);
	if(killevent==FALSE) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);

	//Kick & ban
	label = gtk_label_new ("Kick (& Ban)");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,6,7);
    	gtk_widget_show (label);

	gtk_table_attach_defaults(GTK_TABLE(table),box5,1,3,6,7);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (kick_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box5), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if (kick) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (kick_use_not),G_OBJECT (checkbut1));
  	gtk_box_pack_start (GTK_BOX (box5), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show(box5);
	if(!kick) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);

	//DCC Chat
	gtk_table_attach_defaults(GTK_TABLE(table),box6,1,3,7,8);

	label = gtk_label_new ("DCC Chat");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,7,8);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (dcc_chat_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box6), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if (dcc_chat) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	if(!dcc_chat) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);
 	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (dcc_chat_use_not),G_OBJECT (checkbut1));
  	gtk_box_pack_start (GTK_BOX (box6), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show(box6);

	//DCC Send
	gtk_table_attach_defaults(GTK_TABLE(table),box7,1,3,8,9);

	label = gtk_label_new ("DCC send");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,8,9);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (dcc_send_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box7), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if (dcc_send) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut1 = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut1), "toggled", G_CALLBACK (dcc_send_use_not),G_OBJECT (checkbut1));
  	gtk_box_pack_start (GTK_BOX (box7), checkbut1, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut1);
	gtk_widget_show(box7);
	if(!dcc_send) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut1), FALSE);

	//Invite
	gtk_table_attach_defaults(GTK_TABLE(table),box8,1,3,9,10);

	label = gtk_label_new ("Invite");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,9,10);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
   	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (invite_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box8), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if (invite) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut = gtk_radio_button_new_with_label (group, "no");
	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (invite_use_not),G_OBJECT (checkbut));
  	gtk_box_pack_start (GTK_BOX (box8), checkbut, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut);
	gtk_widget_show(box8);
	if(!invite) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

	//Notify list
	gtk_table_attach_defaults(GTK_TABLE(table),box9,1,3,10,11);

	label = gtk_label_new ("Notify List");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,10,11);
    	gtk_widget_show (label);

	checkbut = gtk_radio_button_new_with_label (NULL, "yes");
   	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (notify_use_yes),G_OBJECT (checkbut));
   	gtk_box_pack_start (GTK_BOX (box9), checkbut, FALSE, FALSE, 15);
 	gtk_widget_show (checkbut);
	if(notify_list) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbut));
  	checkbut = gtk_radio_button_new_with_label (group, "no");
 	g_signal_connect (G_OBJECT (checkbut), "toggled", G_CALLBACK (notify_use_not),G_OBJECT (checkbut));
  	gtk_box_pack_start (GTK_BOX (box9), checkbut, FALSE, FALSE, 15);
  	gtk_widget_show (checkbut);
	gtk_widget_show(box9);
	if(!notify_list) gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), TRUE);
	else gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbut), FALSE);

	//flash interval
	gtk_table_attach_defaults(GTK_TABLE(table),box10,1,3,11,12);

	label = gtk_label_new ("Select Tray Flash Timeout (msec)");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,11,12);
    	gtk_widget_show (label);

	adj = (GtkAdjustment *) gtk_adjustment_new (500, 200, 2000, 100, 0, 0);
	spinbutton = gtk_spin_button_new (adj, 0, 0);
  	gtk_spin_button_set_wrap (GTK_SPIN_BUTTON (spinbutton), FALSE);
	gtk_spin_button_set_numeric(GTK_SPIN_BUTTON (spinbutton), TRUE);
	gtk_spin_button_set_value(GTK_SPIN_BUTTON (spinbutton), flash_interval);
	gtk_box_pack_start (GTK_BOX (box10), spinbutton, FALSE, TRUE, 15);
	gtk_widget_show (spinbutton);
	gtk_widget_show (box10);

	//4-5 button
	gtk_table_attach_defaults(GTK_TABLE(table),box11,0,3,12,13);

	button = gtk_button_new_with_label ("Apply");
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (set_noti_events_apply), NULL);
    	gtk_box_pack_start (GTK_BOX (box11), button, FALSE, FALSE, 100);
    	gtk_widget_show (button);

	button = gtk_button_new_with_label ("Close");
	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (set_tray_delete), NULL);
	g_signal_connect (G_OBJECT (window), "delete_event", G_CALLBACK (set_tray_delete), G_OBJECT (window));
	g_signal_connect (G_OBJECT (window), "destroy", G_CALLBACK (set_tray_delete), G_OBJECT (window));
	g_signal_connect_swapped (G_OBJECT (button), "clicked",G_CALLBACK (gtk_widget_destroy),G_OBJECT (window));
    	gtk_box_pack_start (GTK_BOX (box11), button, FALSE, FALSE, 75);
    	gtk_widget_show (button);
	gtk_widget_show (box11);

	gtk_widget_show(table);
 	gtk_widget_show (window);

}

//settings gui
void set_tray(){

	GtkWidget *window;
	GtkWidget *table;
	GtkWidget *checkbutton,*checkbutton2,*checkbutton4,*checkbutton5;
	GtkWidget *button,*box1,*box2,*box3,*box4;
	GtkWidget *label;
	GSList *group;

	systray_get_info(FALSE,FALSE);

	//create box and window
	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_resizable(GTK_WINDOW (window),FALSE);
	gtk_window_set_title (GTK_WINDOW (window), "SysTray Settings");
	gtk_container_set_border_width (GTK_CONTAINER (window), 10);

	table=gtk_table_new(15,3,FALSE);
	gtk_table_set_col_spacings(GTK_TABLE(table), 40 );
	gtk_table_set_row_spacings(GTK_TABLE(table), 12 );
	gtk_container_add (GTK_CONTAINER (window), table);

	box1 = gtk_hbox_new (FALSE, 40);
	box2 = gtk_hbox_new (FALSE, 40);
	box3 = gtk_hbox_new (FALSE, 40);
	box4 = gtk_hbox_new (FALSE, 60);

	label = gtk_label_new ("SysTray Settings. Select your favorite apps and settings");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,2,0,1);
  	gtk_widget_show (label);

	//1 button
	label = gtk_label_new ("Select your favorite browser");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,1,2);
	gtk_widget_show (label);

	browser_text = gtk_entry_new ();
	gtk_table_attach_defaults(GTK_TABLE(table),browser_text,1,2,1,2);
	gtk_entry_set_max_length(GTK_ENTRY(browser_text), 150);
	gtk_entry_set_text(GTK_ENTRY(browser_text), bpath);
    	gtk_widget_show (browser_text);

	button = gtk_button_new_with_label ("Select");
	gtk_table_attach_defaults(GTK_TABLE(table),button,2,3,1,2);
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (browser_select), NULL);
    	gtk_widget_show (button);

	//2 button
    	label = gtk_label_new ("Select your favorite email client");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,2,3);
 	gtk_widget_show (label);

	email_text = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(email_text), 150);
	gtk_entry_set_text(GTK_ENTRY(email_text), epath);
	gtk_table_attach_defaults(GTK_TABLE(table),email_text,1,2,2,3);
 	gtk_widget_show (email_text);

	button = gtk_button_new_with_label ("Select");
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (email_select), NULL);
	gtk_table_attach_defaults(GTK_TABLE(table),button,2,3,2,3);
    	gtk_widget_show (button);

	//3 button
	label = gtk_label_new ("Select your favorite multimedia player	");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,3,4);
    	gtk_widget_show (label);

	player_text = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(player_text), 150);
	gtk_entry_set_text(GTK_ENTRY(player_text), ppath);
	gtk_table_attach_defaults(GTK_TABLE(table),player_text,1,2,3,4);
    	gtk_widget_show (player_text);

	button = gtk_button_new_with_label ("Select");
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (player_select), NULL);
	gtk_table_attach_defaults(GTK_TABLE(table),button,2,3,3,4);
    	gtk_widget_show (button);

	///from here
	label = gtk_label_new ("Select icons path");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,4,5);
	gtk_widget_show (label);

	imagepath_text = gtk_entry_new ();
	gtk_table_attach_defaults(GTK_TABLE(table),imagepath_text,1,2,4,5);
	gtk_entry_set_max_length(GTK_ENTRY(imagepath_text), 150);
	gtk_entry_set_text(GTK_ENTRY(imagepath_text), imagepath);
    	gtk_widget_show (imagepath_text);

	button = gtk_button_new_with_label ("Select");
	gtk_table_attach_defaults(GTK_TABLE(table),button,2,3,4,5);
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (imagepath_select), NULL);
    	gtk_widget_show (button);
	
	//away msg n1
	label = gtk_label_new ("Write your first favourite away message	");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,5,6);
    	gtk_widget_show (label);

	away1 = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(away1), 150);
	gtk_entry_set_text(GTK_ENTRY(away1), away_msg1);
	gtk_table_attach_defaults(GTK_TABLE(table),away1,1,3,5,6);
    	gtk_widget_show (away1);

	//away msg n2
	label = gtk_label_new ("Write your second favourite away message");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,6,7);
    	gtk_widget_show (label);

	away2 = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(away2), 150);
	gtk_entry_set_text(GTK_ENTRY(away2), away_msg2);
	gtk_table_attach_defaults(GTK_TABLE(table),away2,1,3,6,7);
    	gtk_widget_show (away2);

	//away msg n3
	label = gtk_label_new ("Write your third favourite away message	");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,7,8);
    	gtk_widget_show (label);

	away3 = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(away3), 150);
	gtk_entry_set_text(GTK_ENTRY(away3), away_msg3);
	gtk_table_attach_defaults(GTK_TABLE(table),away3,1,3,7,8);
    	gtk_widget_show (away3);

	label = gtk_label_new ("Change Nick while away?");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,8,9);
    	gtk_widget_show (label);

	gtk_table_attach_defaults(GTK_TABLE(table),box1,1,2,8,9);

	checkbutton = gtk_radio_button_new_with_label (NULL, "yes");
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton), FALSE);
   	g_signal_connect (G_OBJECT (checkbutton), "toggled", G_CALLBACK (away_use_yes),G_OBJECT (checkbutton));
	gtk_box_pack_start (GTK_BOX (box1), checkbutton, FALSE, FALSE, 15);
 	gtk_widget_show (checkbutton);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbutton));
  	checkbutton = gtk_radio_button_new_with_label (group, "no");
	if ( go_change == FALSE) gtk_button_clicked (GTK_BUTTON(checkbutton));
	g_signal_connect (G_OBJECT (checkbutton), "toggled", G_CALLBACK (away_use_not),G_OBJECT (checkbutton));
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton), FALSE);
  	gtk_box_pack_start (GTK_BOX (box1), checkbutton, FALSE, FALSE, 15);
  	gtk_widget_show (checkbutton);
	gtk_widget_show (box1);

	label = gtk_label_new ("Enter your away nickname");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,9,10);
    	gtk_widget_show (label);

	away_nick_box = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(away_nick_box), 150);
	gtk_entry_set_text(GTK_ENTRY(away_nick_box), away_nick);
	gtk_table_attach_defaults(GTK_TABLE(table),away_nick_box,1,3,9,10);
 	gtk_widget_show (away_nick_box);

	label = gtk_label_new ("Away nick needs to be identified?");
	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,10,11);
    	gtk_widget_show (label);

	gtk_table_attach_defaults(GTK_TABLE(table),box2,1,3,10,11);

	checkbutton2 = gtk_radio_button_new_with_label (NULL, "yes");
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton2), FALSE);
	g_signal_connect (G_OBJECT (checkbutton2), "toggled", G_CALLBACK (away_ident_yes),G_OBJECT (checkbutton2));
   	gtk_box_pack_start (GTK_BOX (box2), checkbutton2, FALSE, FALSE, 15);
 	gtk_widget_show (checkbutton2);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbutton2));
  	checkbutton3 = gtk_radio_button_new_with_label (group, "no");
	if ( go_identify == FALSE) gtk_button_clicked (GTK_BUTTON(checkbutton3));
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (checkbutton3), FALSE);
	g_signal_connect (G_OBJECT (checkbutton3), "toggled", G_CALLBACK (away_ident_not),G_OBJECT (checkbutton3));
  	gtk_box_pack_start (GTK_BOX (box2), checkbutton3, FALSE, FALSE, 15);
  	gtk_widget_show (checkbutton3);
	gtk_widget_show(box2);

	label = gtk_label_new ("Enter your away nickname password");
 	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,11,12);
    	gtk_widget_show (label);

	away_nick_pass_box = gtk_entry_new ();
	gtk_entry_set_max_length(GTK_ENTRY(away_nick_pass_box), 150);
	gtk_entry_set_visibility(GTK_ENTRY(away_nick_pass_box), FALSE);
	gtk_entry_set_text(GTK_ENTRY(away_nick_pass_box), away_pass);
	gtk_table_attach_defaults(GTK_TABLE(table),away_nick_pass_box,1,3,11,12);
 	gtk_widget_show (away_nick_pass_box);

	// open a new tab
	label = gtk_label_new ("Select Notification Events");
 	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,12,13);
	gtk_widget_show (label);

	button = gtk_button_new_with_label ("Select Events");
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (set_noti_events), NULL);
    	gtk_table_attach_defaults(GTK_TABLE(table),button,1,2,12,13);
    	gtk_widget_show (button);
#ifndef _WIN32_
	//window desktop choice
	label = gtk_label_new ("Select Your Window Manager");
 	gtk_table_attach_defaults(GTK_TABLE(table),label,0,1,13,14);
	gtk_widget_show (label);

	gtk_table_attach_defaults(GTK_TABLE(table),box3,1,3,13,14);

	checkbutton4 = gtk_radio_button_new_with_label (NULL, "KDE Like");
	g_signal_connect (G_OBJECT (checkbutton4), "toggled", G_CALLBACK (kde_use_yes),G_OBJECT (checkbutton4));
   	gtk_box_pack_start (GTK_BOX (box3), checkbutton4, FALSE, FALSE, 15);
 	gtk_widget_show (checkbutton4);

 	group = gtk_radio_button_get_group (GTK_RADIO_BUTTON (checkbutton4));
  	checkbutton5 = gtk_radio_button_new_with_label (group, "Gnome Like");
	g_signal_connect (G_OBJECT (checkbutton5), "toggled", G_CALLBACK (kde_use_not),G_OBJECT (checkbutton5));
  	gtk_box_pack_start (GTK_BOX (box3), checkbutton5, FALSE, FALSE, 15);
  	gtk_widget_show (checkbutton5);
	gtk_widget_show(box3);

	if ( KDE == TRUE) gtk_button_clicked (GTK_BUTTON(checkbutton4));
	else gtk_button_clicked (GTK_BUTTON(checkbutton5));
#endif
	//4-5 button
	gtk_table_attach_defaults(GTK_TABLE(table),box4,0,3,15,16);

	button = gtk_button_new_with_label ("Apply");
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (save), NULL);
    	gtk_box_pack_start (GTK_BOX (box4), button, FALSE, FALSE, 120);
    	gtk_widget_show (button);

	button = gtk_button_new_with_label ("Close");
	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (set_tray_delete), NULL);
	g_signal_connect (G_OBJECT (window), "delete_event", G_CALLBACK (set_tray_delete), G_OBJECT (window));
	g_signal_connect (G_OBJECT (window), "destroy", G_CALLBACK (set_tray_delete), G_OBJECT (window));
	g_signal_connect_swapped (G_OBJECT (button), "clicked",G_CALLBACK (gtk_widget_destroy),G_OBJECT (window));
    	gtk_box_pack_start (GTK_BOX (box4), button, FALSE, FALSE, 47);
    	gtk_widget_show (button);
	gtk_widget_show (box4);

	if ( go_change == FALSE) away_use_not(checkbutton, NULL);
	if ( go_identify == FALSE) away_ident_not(checkbutton3, NULL);

	gtk_widget_show(table);
 	gtk_widget_show (window);

}
